# 新增

## CategoryPicker

新增组件 CategoryPicker，地址级联组件的最佳方案。

``` html
<CategoryPicker :option="option" v-model="value"/>
```

[相关文档](https://www.heyui.top/component/other/categorypicker)


## ImagePreview

新增组件 ImagePreview，图片预览列表。

``` html
<ImagePreview :datas="datas" @click="openPreview"/>
```

[相关文档](https://www.heyui.top/component/view/imagepreview)

## Modal

modal 支持自定义事件替换event事件，并支持多参数传递。

``` javascript
// 直接使用emit触发外部的events监听，兼容性 1.18.0+
   this.$emit('success', this.value, 'test');
```

[相关文档](https://www.heyui.top/component/message/modal#Modal%E8%B0%83%E7%94%A8%E7%BB%84%E4%BB%B6)

## Pagination

支持 v-model 分页控制。

``` html
<Pagination v-model="pagination" @change="getData"></Pagination>

pagination: {
  page: 1,
  size: 10,
  total: 100
}

```

[相关文档](https://www.heyui.top/component/data/view/page)

## Tree

新增 expand 方法，可以通过 key 指定打开哪些节点。

``` javascript
this.$refs.tree.expand([1,2,3]);
```

[相关文档](https://www.heyui.top/component/plugin/tree)

## Button

新增属性 transparent ，按钮是否背景透明。

``` html
<Button transparent text-color="primary">主色系按钮</Button>
```

[相关文档](https://www.heyui.top/component/basic/button)

## TimelineItem

新增slot icon

``` html
<TimelineItem>
  <i class="h-icon-user primary-color" slot="icon"></i>
  <div slot="time">2012-12-23</div>
  <div slot="content">到达呼伦贝尔</div>
</TimelineItem>
```

[相关文档](https://www.heyui.top/component/view/timeline)

## FormItem

新增属性 icon ，显示图标。

``` html
<FormItem label="密码" icon="h-icon-complete" prop="password">
  <input type="password" v-model="model.password">
</FormItem>
```
新增 slot label，自定义slot。

``` html
<FormItem label="用户名" prop="name">
  <template v-slot:label><i class="h-icon-user"></i> 用户名</template>
  <input type="text" v-model="model.name">
</FormItem>
```

[相关文档](https://www.heyui.top/component/form/form)

## Tooltip

新增属性 editable，支持tooltip内部编辑模块

``` html
<Tooltip theme="white" @show="show" trigger="click" @hide="hide" editable>
  <span class="text-hover">Component调用</span>
  <div slot="content">
    <div v-padding="10">
      <Select dict="simple" v-model="value" style="width: 200px;"></Select>
    </div>
  </div>
</Tooltip>
```

[相关文档](https://www.heyui.top/component/message/tooltip#%E8%87%AA%E5%AE%9A%E4%B9%89%E5%86%85%E5%AE%B9)

## Category

补充异步加载功能

``` html

<Category :option="param" v-model="value"></Category>

param: {
  keyName: 'id',
  titleName: 'title',
  dataMode: 'list',
  getDatas: (parent, resolve) => {
    setTimeout(() => {
      if (!parent) {
        resolve([
          { id: 1, title: '一级', disabled: true },
          { id: 2, title: '二级' },
          { id: 3, title: '三级' }]);
      } else if (parent.id % 2 == 0) {
        resolve([]);
      } else {
        resolve(genList(parent.title, parent.id, 5, 'id', 'title'));
      }
    }, 100);
  }
}
```


[相关文档](https://www.heyui.top/component/plugin/category#%E5%AF%B9%E8%B1%A1%E8%B0%83%E7%94%A8%E4%B8%8E%E5%BC%82%E6%AD%A5%E8%B0%83%E7%94%A8)

# 修复bug

### 日期时间选择器选择问题

选择日期时间后，不关闭，直接重新选择年月无效。

### 超级日期选择器，点下一页稍微快一点，就会变成选中状态

Closes [#91](https://github.com/heyui/heyui/issues/91)

### 栅格布局错位问题

Closes [#90](https://github.com/heyui/heyui/issues/90)